Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEventQueue Class Reference
EventQueue

Interface to the core EventQueue methods. More...

`#include <EventQueue.h>`

Inheritance diagram for Argus::IEventQueue:

List of all members.

## Public Member Functions
virtual Status | getEventTypes (std::vector< EventType > *types) const =0
| Returns the event types that this queue will receive.
virtual const Event * | getNextEvent ()=0
| Returns the next event in the queue (that is, the event at index 0).
virtual uint32_t | getSize () const =0
| Returns the number of events in the queue.
virtual const Event * | getEvent (uint32_t index) const =0
| Returns the event with the given index, where index 0 corresponds to the oldest event and [getSize() - 1] is the newest.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEventQueue ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the core EventQueue methods.

Definition at line 64 of file EventQueue.h.

## Constructor & Destructor Documentation

Argus::IEventQueue::~IEventQueue | ( |  | ) |
| inline protected

Definition at line 99 of file EventQueue.h.

## Member Function Documentation

virtual const Event* Argus::IEventQueue::getEvent | ( | uint32_t | index | ) | const
| pure virtual

Returns the event with the given index, where index 0 corresponds to the oldest event and [getSize() - 1] is the newest.

The returned event is not removed from the queue. If index is not in [0, getSize()-1], NULL is returned.

virtual Status Argus::IEventQueue::getEventTypes | ( | std::vector< EventType > * | types | ) | const
| pure virtual

Returns the event types that this queue will receive.

Parameters:

  [out] | types | This vector will be populated with the event types registered to this queue.

Returns:
  success/status of the call.

virtual const Event* Argus::IEventQueue::getNextEvent | ( |  | ) |
| pure virtual

Returns the next event in the queue (that is, the event at index 0).

The returned event will be removed from the queue, though the object will remain valid according to the rules described by waitForEvents(). If the queue is empty, returns NULL.

virtual uint32_t Argus::IEventQueue::getSize | ( |  | ) | const
| pure virtual

Returns the number of events in the queue.

static const InterfaceID& Argus::IEventQueue::id | ( |  | ) |
| inline static

Definition at line 67 of file EventQueue.h.

The documentation for this class was generated from the following file:

- include/Argus/EventQueue.h